//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: solvencias_p.js
// Created: 2016-03-09
// Updates: 2016-03-09
//-------------------------------------------------------//
//-------------------------------------------------------//
var xmlHttp;
var xmlHttpStream;
//-------------------------------------------------------//
window.onload = function(){

}
//-------------------------------------------------------//
function GetXmlHttpObject(handler){
	var objXmlHttp=null;	
	if(window.XMLHttpRequest){// code for IE7+, Firefox, Chrome, Opera, Safari
		objXmlHttp = new XMLHttpRequest();
		objXmlHttp.onload=handler
		objXmlHttp.onerror=handler 		
	}
	if(window.ActiveXObject){// code for IE6, IE5
		objXmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
		objXmlHttp.onreadystatechange=handler 		
	}
	if(objXmlHttp==null){alert("Your Browser Does Not Suppport AJAX")}
	return objXmlHttp;
}
function Save(){
    var lan 	= document.form.lan.value;
    var appid	= document.form.appid.value;
	var clase	= document.form.clase.value;
	var id		= document.form.id.value;
	var sol_id	= document.form.i8_solvencia_id.value;
	var institu = document.form.v128_institucion.value;
	var vencimi	= document.form.dt_vencimiento.value;
	var emision = document.form.dt_emision.value;
	var con_id	= document.form.i8_contribuyente_id.value;
	var con_nom	= document.form.v128_contribuyente.value;
	var con_dir	= document.form.txt_direccion.value;
	var gen_id	= document.form.c3_tipo_generador_id.value;
	var emi_id	= document.form.i8_emisor_id.value;
	var use_id	= document.form.i8_user_id.value;
	var dir_exp	= document.form.txt_expediente_direccion.value;
	if (sol_id>1) {alert("El correlativo y solvencia ya existen....");return}
	if (institu=="") {alert("Favor Ingrese el Nombre de la Institucion");return}
	var str		= "appid="+appid+"&lan="+lan+"&id="+id+"&clase="+clase+"&vencimiento="+vencimi+"&emision="+emision+"&con_id="+con_id+"&con_nom="+con_nom+"&con_dir="+con_dir+"&gen_id="+gen_id+"&emi_id="+emi_id+"&use_id="+use_id+"&dir_exp="+dir_exp+"&institucion="+institu;
    var URL     = "/cgi-bin/"+appid+"/pl/solvencia_s.pl";	
    xmlHttp		= GetXmlHttpObject(stateChangedSave);
    xmlHttp.open("POST",URL,true) ;
	xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xmlHttp.send(str);
}
function stateChangedSave(){
    if (xmlHttp.readyState==4 || xmlHttp.readyState=="complete"){ 
        xmlHttpStream=xmlHttp.responseText;
		//alert(xmlHttpStream);
        if (xmlHttpStream!="error!" && xmlHttpStream!=""){
			document.form.i8_solvencia_id.value=xmlHttpStream;
        }
    } 
}
function Clean(){
	document.form.i8_solvencia_id.value		="";
	document.form.v128_institucion.value	="";	
}
//-------------------------------------------------------//
var numbers		= ['','uno','dos','tres','cuatro','cinco','seis','siete','ocho','nueve','diez','once','doce','trece','catorce','quince','dieciseis','diecisiete','dieciocho','diecinueve','veinte'];
var numbers10	= ['','diez','veinte','treinta','cuarenta','cincuenta','sesenta','setenta','ochenta','noventa'];
var numbers20	= ['','diez','veinti','treinta','cuarenta','cincuenta','sesenta','setenta','ochenta','noventa'];
var Numbers20	= ['','veinti','veintidós','veintitrés','veinticuatro','veinticinco','veintiséis','veintisiete','veintiocho','veintinueve'];
var numbers100	= ['','cien','doscientos','trescientos','cuatrocientos','quinientos','seiscientos','setecientos','ochocientos','novecientos'];
var Numbers100	= ['','ciento','','','','','','','',''];
//-------------------------------------------------------//
var isIE = document.all?true:false;
var isNS = document.layers?true:false;
//-------------------------------------------------------//
window.onload = function(){

}
//------------------------------------------------------//
// Level -I
function getLetras() {

}
function setContentEditable() {
	var x = document.getElementsByClassName('maquina');
	for (var i = 0; i < x.length; i++) {
		x[i].contentEditable = 'true';
	}
}
function getGenero(input,tip) {
	var letras = "varon";
	if (input == "F") {letras = "hembra"}
	if (tip=='mayusculas') {letras = letras.toUpperCase();}
	if (tip=='minusculas') {letras = letras.toLowerCase();}
	if (tip=='capitales') {letras = getCapitales(letras);}	
	return letras;
}
function checkGeneroS(input,tip) {
	var letras = "o";
	if (input == "F") {letras = "a"}
	if (tip=='mayusculas') {letras = letras.toUpperCase();}
	if (tip=='minusculas') {letras = letras.toLowerCase();}
	if (tip=='capitales') {letras = getCapitales(letras);}	
	return letras;
}
function checkGeneroC(input,tip) {
	var letras = "del";
	if (input == "F") {letras = "de la"}
	if (tip=='mayusculas') {letras = letras.toUpperCase();}
	if (tip=='minusculas') {letras = letras.toLowerCase();}
	if (tip=='capitales') {letras = getCapitales(letras);}	
	return letras;
}
//-------------------------------------------------------//
// Level -II
function setNumeroLetras(eid,rid,tip) {
	var numero = document.getElementById(eid).value;
	var letras = getEnteroLetras(numero);
	if (tip=='mayusculas') {letras = letras.toUpperCase();}
	if (tip=='minusculas') {letras = letras.toLowerCase();}
	if (tip=='capitales') {letras = getCapitales(letras);}
	document.getElementById(rid).innerHTML = letras;
}
function setCifrasLetras(eid,rid,tip) {
	var numero = document.getElementById(eid).value;
	var letras = getCifrasLetras(numero);
	if (tip=='mayusculas') {letras = letras.toUpperCase();}
	if (tip=='minusculas') {letras = letras.toLowerCase();}
	if (tip=='capitales') {letras = getCapitales(letras);}
	document.getElementById(rid).innerHTML = letras;
}
function setFechaLetras(eid,rid,tip) {
	var numero = document.getElementById(eid).value;
	var letras = getFechaLetras(numero);
	if (tip=='mayusculas') {letras = letras.toUpperCase();}
	if (tip=='minusculas') {letras = letras.toLowerCase();}
	if (tip=='capitales') {letras = getCapitales(letras);}
	document.getElementById(rid).innerHTML = letras;
}
function setHoraLetras(eid,rid,tip) {
	var tiempo 	= document.getElementById(eid).value;
    var atiempo	= tiempo.split(':');
    var horas	= atiempo[0];
    var minutos	= atiempo[1];
	var lhoras  = getEnteroLetras(horas);
	var lminutos= getEnteroLetras(minutos);
	var letras  = lhoras+' horas con '+lminutos+' minutos';
	if (tip=='mayusculas') {letras = letras.toUpperCase();}
	if (tip=='minusculas') {letras = letras.toLowerCase();}
	if (tip=='capitales') {letras = getCapitales(letras);}
	document.getElementById(rid).innerHTML = letras;
}
function setMayusculas(eid,rid) {
	var string = document.getElementById(eid).value;
	var letras = string.toUpperCase();
	document.getElementById(rid).innerHTML = letras;
}
function setMinusculas(eid,rid) {
	var string = document.getElementById(eid).value;
	var letras = string.toLowerCase();
	document.getElementById(rid).innerHTML = letras;
}
function setCapitales(eid,rid) {
	var string = document.getElementById(eid).value;
	var letras = string.replace(/\w\S*/g, function(txt){return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();});
	document.getElementById(rid).innerHTML = letras;
}
//-------------------------------------------------------//
// Auxiliary Functions
function getFechaLetras(f) {	
	var meses	= ['','enero','febrero','marzo','abril','mayo','junio','julio','agosto','septiembre','octubre','noviembre','diciembre'];
	var dias	= ['','uno','dos','tres','cuatro','cinco','seis','siete','ocho','nueve','diez','once','doce','trece','catorce','quince','dieciseis','diecisiete','dieciocho','diecinueve','veinte','veitiuno','veintidos','veintitres','veiticuatro','veinticinco','veintiseis','veintisiete','veintiocho','veintinueve','treinta','treinta y uno'];
	var res 	= f.replace(/\//g,'-');
	var fec		= res.split('-');
	var dia 	= "";
	var mes 	= "";
	var ano     = "";
	if (fec[0].length>2) {
		dia 	= dias[fec[2]*1];
		mes 	= meses[fec[1]*1];
		ano     = getEnteroLetras(fec[0]*1);
	}else{
		dia 	= dias[fec[0]*1];
		mes 	= meses[fec[1]*1];
		ano     = getEnteroLetras(fec[2]*1);		
	}
	
	var fecha 	= dia+" de "+mes+" de "+ano;
	fecha 		= fecha.replace(/un mil/g,'mil') ;
	
	return fecha;
}
function getHoraLetras(h) {
    var atiempo	= h.split(':');
    var horas	= atiempo[0];
    var minutos	= atiempo[1];
	var lhoras  = getEnteroLetras(horas);
	var lminutos= getEnteroLetras(minutos);
	return lhoras+' horas con '+lminutos+' minutos';
}
function getEnteroLetras(input) {
    if(input==0){return "cero "}
    var re=/^((\d*)|(\d*(\.\d{1,2})))$/;
    if (!re.test(input)){
        alert("Datos incorrectos en monto, no usar ','\n Ej: 1564.93");
    }else{
        var dollars     = Math.floor(input);
        var cents       = Math.round((input*100 - dollars*100));
        var thousands   = (dollars - dollars % 1000) / 1000;
        dollars        -= thousands * 1000;
        var hundreds    = (dollars - dollars % 100) / 100;
        dollars        -= hundreds * 100;
        var output      = '';
        output +=   (thousands > 0 ? fN(thousands) + ' mil ' : '') +
                    (hundreds > 0 ?  FN(hundreds,dollars) + ' ' : '') +
                    (dollars > 0 ? fN(dollars) + ' ' : '');
        output          = output.toUpperCase();
        return output.substring(0,1).toLowerCase() + output.substring(1).toLowerCase();
    }
}
function getCifrasLetras(input) {
	var cifl = "";	
	for (var i=0;i<input.length;i++){
		var cif = input.substr(i,1);
		if (cif*1>=0 && cif*1<10) {
			cifl += getEnteroLetras(cif);
		}else{
			cifl += " guion ";
		}
	}
	return cifl;
}
function FN(i,b) {
    if ((i == 1)&&(b > 0)){
        return Numbers100[i];
    }else{
        if (i<20) return numbers100[i];
    }
    var tens = (i - i % 10) / 10, units = i - (i - i % 10);
    return numbers10[tens] + ((tens > 0 && units > 0) ? '-' : '') + numbers[units];
}
function fN(i) {
    if (i<=20) return numbers[i];
    var tens = (i - i % 10) / 10, units = i - (i - i % 10);
    if ( (i > 20)&&(i < 30) ){
            return numbers20[tens] + ((tens > 0 && units > 0) ? '' : '') + numbers[units];
	     //return  Numbers120[units];
    }
    if ((i>=30)&&(i<100)){
            return numbers10[tens] + ((tens > 0 && units > 0) ? ' y ' : '') + numbers[units];
    }
    if (i>=100){
            var str   = i+"";
            var hunds  = str.substr(0,1)
            tens   = str.substr(1,1)
            units  = str.substr(2,1)
            return numbers100[hunds] + ((hunds > 0 && tens > 0) ? ' ' : '') + numbers10[tens] + ((tens > 0 && units > 0) ? ' y ' : '') + numbers[units];    
    }
}
function getCapitales(l) {
	return l.replace(/\w\S*/g, function(txt){return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();});
}
function get_today(){
    var today		= new Date();
    var monthday	= today.getDate();
    var month		= today.getMonth()+1;
    var year		= today.getFullYear();
    if(monthday<10) {montday='0'+monthday}
    if(month<10) {month='0'+month}
    var fetc 		= year+'-'+month+'-'+monthday;
    var strftc  	= getFechaLetras(fetc).toLowerCase();
    return strftc;
}
function setTexto(input,t) {
	var str  = input;
	var nspa = str.replace(/ /g,'');
	if (nspa!="") {str +=t;}
	return str;
}

